## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1
%bcond tests_clients %{undefined rhel}
%bcond tests_flask %{undefined rhel}
%bcond tests_django %{undefined rhel}
%bcond tests_jose %{undefined rhel}

Name:           python-authlib
Version:        1.3.2
Release:        %autorelease
Summary:        Build OAuth and OpenID Connect servers in Python

License:        BSD-3-Clause
URL:            https://github.com/lepture/authlib
Source0:        %{url}/archive/v%{version}/authlib-%{version}.tar.gz
# Fix tests for Python 3.13
# Upstream PR: https://github.com/lepture/authlib/pull/682
Patch:          0001-tests-Dereference-LocalProxy-before-serialization.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Python library for building OAuth and OpenID Connect servers. JWS, JWK, JWA,
JWT are included.}

%description %_description

%package -n     python3-authlib
Summary:        %{summary}

%description -n python3-authlib %_description


%prep
%autosetup -p1 -n authlib-%{version}

# Remove OAuth 1 tests, because they require support for SHA1.
sed -i '/tests\.django\.test_oauth1/d' tests/django/settings.py
rm -rf \
  tests/django/test_oauth1 \
  tests/flask/test_oauth1 \
  tests/clients/test_requests/test_oauth1_session.py \
  tests/clients/test_httpx/test_oauth1_client.py

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -i '/coverage/d' tests/requirements-base.txt
sed -i 's/coverage run --source=authlib -p -m pytest/python3 -m pytest/' tox.ini


%generate_buildrequires
%pyproject_buildrequires %{?with_tests:-e %{toxenv}%{?with_tests_clients:,%{toxenv}-clients}%{?with_tests_flask:,%{toxenv}-flask}%{?with_tests_django:,%{toxenv}-django}%{?with_tests_jose:,%{toxenv}-jose}}


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files authlib


%check
%if %{with tests}
%tox
%endif
# for import check, we exclude modules with optional dependencies:
%pyproject_check_import -e '*django*' -e '*flask*' -e '*httpx*' -e '*requests*' -e '*sqla*' -e '*starlette*'


%files -n python3-authlib -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
## START: Generated by rpmautospec
* Tue Nov 12 2024 Carl George <carlwgeorge@fedoraproject.org> - 1.3.2-5
- Only run base tests on EPEL

* Tue Nov 12 2024 Carl George <carlwgeorge@fedoraproject.org> - 1.3.2-4
- Avoid running coverage during tests

* Sun Oct 20 2024 Kai A. Hiller <git@kaialexhiller.de> - 1.3.2-3
- Fix tests for Python 3.13

* Sun Oct 20 2024 Kai A. Hiller <git@kaialexhiller.de> - 1.3.2-2
- Remove OAuth 1 tests

* Sun Sep 29 2024 Kai A. Hiller <V02460@gmail.com> - 1.3.2-1
- Update to v1.3.2

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jul 03 2024 Python Maint <python-maint@redhat.com> - 1.3.1-4
- Rebuilt for Python 3.13

* Tue Jun 11 2024 Python Maint <python-maint@redhat.com> - 1.3.1-3
- Bootstrap for Python 3.13

* Tue Jun 11 2024 Python Maint <python-maint@redhat.com> - 1.3.1-2
- Rebuilt for Python 3.13

* Tue Jun 11 2024 Kai A. Hiller <V02460@gmail.com> - 1.3.1-1
- Update to v1.3.1 (CVE-2024-37568)

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.3.0-5
- Bootstrap for Python 3.13

* Tue Apr 23 2024 Miro Hrončok <miro@hroncok.cz> - 1.3.0-4
- Convert the --without check bcond to --without tests
- Limit test deps when not running them
- Run import check even when not running tests

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 Kai A. Hiller <V02460@gmail.com> - 1.3.0-1
- Update to v1.3.0

* Wed Jan 10 2024 Kai A. Hiller <V02460@gmail.com> - 1.2.1-7
- Add %%bcond_without check

* Wed Jan 10 2024 Kai A. Hiller <V02460@gmail.com> - 1.2.1-6
- Remove unused %%global define

* Wed Jan 10 2024 Kai A. Hiller <V02460@gmail.com> - 1.2.1-5
- Inline %%{srcname}

* Wed Jan 10 2024 Kai A. Hiller <V02460@gmail.com> - 1.2.1-4
- Fix spec file section formatting

* Sun Aug 20 2023 Kai A. Hiller <V02460@gmail.com> - 1.2.1-3
- SPDX migration

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Kai A. Hiller <V02460@gmail.com> - 1.2.1-1
- Update to v1.2.1

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 1.2.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Dec 15 2022 Kai A. Hiller <V02460@gmail.com> - 1.2.0-1
- Update to v1.2.0

* Fri Nov 04 2022 Kai A. Hiller <V02460@gmail.com> - 1.1.0-1
- Update to v1.1.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1.0.1-3
- Rebuilt for Python 3.11

* Thu Apr 21 2022 Kai A. Hiller <V02460@gmail.com> - 1.0.1-2
- Follow new Python packaging guidelines

* Tue Apr 12 2022 dkirwan <dkirwan@redhat.com> - 1.0.1-1
- Update to v1.0.1

* Thu Jan 27 2022 Kai A. Hiller <V02460@gmail.com> - 0.15.5-1
- Update to v1.15.5

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 29 2021 Kai A. Hiller <V02460@gmail.com> - 0.15.4-1
- Update to v1.15.4
- Make compatible with werkzeug 2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.15.3-5
- Fix buidlroot↔buildroot typo

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.15.3-4
- Rebuilt for Python 3.10

* Mon Mar 29 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.15.3-3
- Enable “py3” tests since all of the dependencies are present

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 17 2021 Kai A. Hiller <V02460@gmail.com> - 0.15.3-1
- Update to v1.15.3

* Fri Dec 11 2020 Kai A. Hiller <V02460@gmail.com> - 0.15.2-1
- Update to v1.15.2

* Sun Oct 11 2020 Kai A. Hiller <V02460@gmail.com> - 0.15.0-1
- Update to v1.15.0

* Fri May 29 2020 Kai A. Hiller <V02460@gmail.com> - 0.14.3-1
- Initial package.

## END: Generated by rpmautospec
